unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants, 
  FMX.Types, FMX.Graphics, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.StdCtrls,
  FMX.Platform.Win, FMX.Menus, nFMX.Trayicon.Win, Winapi.Windows;

type
  TForm1 = class(TForm)
    PopupMenu1: TPopupMenu;
    MenuItem1: TMenuItem;
    MenuItem2: TMenuItem;
    MenuItem3: TMenuItem;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    nTrayIcon1: TnTrayIcon;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure nTrayIcon1Click(Sender: TObject);
    procedure nTrayIcon1DblClick(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.Button1Click(Sender: TObject);
begin
  if Button1.Text = 'Hide icon' then
  begin
    nTrayIcon1.Hide;
    Button2.Enabled := False;
    Button1.Text := 'Show icon';
  end
  else
  begin
    nTrayIcon1.Show;
    Button2.Enabled := True;
    Button1.Text := 'Hide icon';
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Form1.Hide;
  // ShowWindow(GetApplicationHandle, SW_HIDE);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  // nTrayIcon1.IconBalloonType := TBalloonIconType.Info;
  nTrayIcon1.ShowBallonHint;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  nTrayIcon1.Show;
end;

procedure TForm1.nTrayIcon1Click(Sender: TObject);
begin
  // ShowWindow(GetApplicationHandle, SW_SHOW);
  Form1.Show;
  SetForegroundWindow(FmxHandleToHWND(Handle));
end;

procedure TForm1.nTrayIcon1DblClick(Sender: TObject);
begin
  ShowMessage('DblClick');
end;

end.
